#!/bin/bash

function_addLine () {
nDV=`cat $1 | grep \"DV\" | wc -l`
nUDV=`cat $1 | grep \"UDV\" | wc -l`
nPUB=`cat $1 | grep \"PUB\" | wc -l`
nSUB=`cat $1 | grep \"SUB\" | wc -l`
nDRP=`cat $1 | grep \"DRP\" | wc -l`
nCFG=`cat $1 | grep \"CNF\" | wc -l`
#echo "nDV:" $nDV
#echo "nUDV:" $nUDV
#echo "nPUB:" $nPUB
#echo "nSUB:" $nSUB
#echo "nDRP:" $nDRP
#echo "nCFG:" $nCFG
#nTotal=`expr $nDV + $nUDV + $nPUB + $nSUB + $nDRP + $nCFG`
#echo "nTotal:" $nTotal
echo \"$1\", $nDV, $nUDV, $nPUB, $nSUB, $nDRP, $nCFG, $nTotal >> $2
}

function_checkActor () {
nSUB=`cat $1 | grep "subscribing for" | wc -l`
nPUB=`cat $1 | grep "publishing" | wc -l`
nREC=`cat $1 | grep "getting" | wc -l`
echo \"$1\", $nSUB, $nPUB, $nREC >> $2
}

function_checkMatches () {
nMATCH=`cat $1 | grep "MATCH" | wc -l`
echo \"$1\", $nMATCH >> $2
}

echo "Server/Packet","DV","UDV","PUB","SUB","DRP","CNF","Total" > $2
for i in `ls $1_S*.log`
do
function_addLine $i $2
done

echo >> $2
echo "Actor/Action","Sub","Pub","Rec" >> $2
for j in `ls weevil-parallel/actorstartoutput/1/D?.out`
do
function_checkActor $j $2
done

GLOBIGNORE="*_proc*"
echo >> $2
echo "Actor/Matches","Expected matches" >> $2
for k in `ls $1_D*.wkld`
do
function_checkMatches $k $2
done
