set term postscript eps monochrome "Times-Roman" 12
set size 0.6,0.6
set output "ctp-vs-t.eps"
set xlabel 'Time (s)'
set yrange [0:110]
set ylabel 'Traffic per Packet Type (%)'
plot    'ctPercentData.txt' using ($1/1000):($2*100) title 'UDV' with lines, \
        'ctPercentData.txt' using ($1/1000):($3*100) title 'DV' with lines, \
        'ctPercentData.txt' using ($1/1000):($4*100) title 'DRP' with lines, \
        'ctPercentData.txt' using ($1/1000):($5*100) title 'PUB' with lines, \
        'ctPercentData.txt' using ($1/1000):($6*100) title 'SUB' with lines, \
        'ctPercentData.txt' using ($1/1000):($7*100) title 'UNS' with lines, \
        'ctPercentData.txt' using ($1/1000):($8*100) title 'CNF' with lines
