# -*- sh -*-
#
#  This file is part of WEEVIL.
#
#  Authors: See the file AUTHORS for full details.
#
#  Copyright (C) 2002-2006 University of Colorado
#
#  Weevil is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  Weevil is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301
#  USA, or send email to serl@cs.colorado.edu.
#
# $Id: weevil2hosttimestamp.m4,v 1.4 2005/05/16 19:20:55 ywang Exp $
#
#!/bin/sh
#
# check the arguments
#
define(`theWeevilRoot', `WVL_Host_'WVL_Host_ID`_weevilRoot')dnl
if [ $# -ne 2 ]
then
        echo "parameter error: You have $# arugment(s) instead of 2."
        echo "usage: sh WVL_Experiment_Name`_'WVL_Host_ID`_timestamp.sh' <outputfile> <outputstring>"
        exit
fi

timefile=theWeevilRoot/WVL_Experiment_Name`/wvl_expstart.time'
changequote([[, ]])dnl

expstartsecs=`cat $timefile`
requestsecs=`date +%s`
simtime=`expr $requestsecs - $expstartsecs`
echo -n $simtime $2' ' >> $1
changequote(`, ')dnl
